import { Address } from "./index";
import { SortingElems } from "./types";
/**
 * Minimum sortable address shape
 */
export declare type SortableAddress = Pick<Address, "building_number" | "building_name" | "sub_building_name" | "organisation_name" | "department_name" | "po_box">;
/**
 * Determines the sort order of `sort`
 */
export declare const sortingElems: Array<SortingElems>;
/**
 * Sorts addresses based on the precedence outlined in `sortingElems`
 */
export declare const sort: (a: SortableAddress, b: SortableAddress) => number;
